Skip to main content
GET
/
trust-centers
/
{slugId}
/
chatbot
/
conversations
/
{conversationId}
Get Trust Center chatbot conversation messages
curl --request GET \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/chatbot/conversations/{conversationId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
      "role": "USER",
      "message": "What security certifications do you have?",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "references": []
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
conversationId
string
required

Response

200 - application/json

Ok

results
object[]
required